# Contribution Guidelines

When contributing to `start-coding-challenge` whether on GitHub or in other community spaces:

- Be respectful, civil, and open-minded.
- Before opening a new pull request, try searching through the [issue tracker](https://github.com/martijnd/start-coding-challenge/issues) for known issues or fixes.

## How to Contribute

1. [Open an issue](https://docs.github.com/en/issues/tracking-your-work-with-issues/creating-an-issue) and describe the problem.
2. [Fork this repository](https://docs.github.com/en/get-started/quickstart/fork-a-repo) to your own GitHub account, then [clone the repository](https://docs.github.com/en/repositories/creating-and-managing-repositories/cloning-a-repository) to your machine.
3. Follow the [README](https://github.com/martijnd/start-coding-challenge#readme) to install the project.
4. Create a new branch and implement your changes.

> Note: We use `commitlint` to autoupdate the changelog and versioning.
>
> - Make sure you follow the [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/) guidelines when making commits.
> - Do not manually update the [changelog](./CHANGELOG.md) and version in the [package.json](./package.json).

5. Open a pull request! All pull requests must be made to the `main` branch.

## Contributor Development Setup

```bash
# Install pnpm
npm install -g pnpm

# Install dependencies
pnpm install

# Initial build
pnpm run build

# Start the package locally
pnpm start
```

This contribution guide is inspired by the [Next.js contribution guide.](https://github.com/vercel/next.js/blob/canary/contributing.md)
